import request from '@/router/axios';

export function supervisionCreateApi(data) {
  return request({
    url: '/admin/supervision/pkg/create',
    method: 'post',
    data
  });
}

export function supervisionTaskListApi(data) {
  return request({
    url: '/admin/supervision/task/sup/page',
    method: 'get',
    params: data
  });
}

export function supervisionTaskCreateApi(data) {
  return request({
    url: '/admin/supervision/task/create',
    method: 'post',
    data
  });
}

export function supervisionTaskResultApi(pkgId) {
  console.log('pkgId', pkgId);

  return request({
    url: '/admin/supervision/task/result',
    method: 'get',
    params: {
      pkgId: pkgId
    }
  });
}

export function supervisionTaskCheckApi(data) {
  return request({
    url: '/admin/supervision/pkg/res/check',
    method: 'post',
    data
  });
}

export function supervisionCreateBatchApi(data) {
  return request({
    url: '/admin/supervision/task/create/batch',
    method: 'post',
    data
  });
}

// /supervision/task/sup/page
